# DataManager.AttributeTypeInternal (ARX Developer Documentation)

org.deidentifier.arx.framework.data

## Class DataManager.AttributeTypeInternal

- java.lang.Object
- - org.deidentifier.arx.framework.data.DataManager.AttributeTypeInternal

- Enclosing class:
    DataManager

      public static class DataManager.AttributeTypeInternal
      extends java.lang.Object

  Internal representation of attribute types. Quasi-identifiers are split into the ones to which generalization is applied and the ones to which microaggregation is applied

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `IDENTIFYING`
    `static int` | `INSENSITIVE`
    `static int` | `QUASI_IDENTIFYING_GENERALIZED`
    `static int` | `QUASI_IDENTIFYING_MICROAGGREGATED`
    `static int` | `SENSITIVE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataManager.AttributeTypeInternal()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IDENTIFYING

          public static final int IDENTIFYING

      See Also:
        Constant Field Values

    - #### INSENSITIVE

          public static final int INSENSITIVE

      See Also:
        Constant Field Values

    - #### QUASI_IDENTIFYING_GENERALIZED

          public static final int QUASI_IDENTIFYING_GENERALIZED

      See Also:
        Constant Field Values

    - #### QUASI_IDENTIFYING_MICROAGGREGATED

          public static final int QUASI_IDENTIFYING_MICROAGGREGATED

      See Also:
        Constant Field Values

    - #### SENSITIVE

          public static final int SENSITIVE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataManager.AttributeTypeInternal

          public DataManager.AttributeTypeInternal()